<?php
/**
 * Mega menu main class.
 *
 * @since   3.0.0
 * @package The7/Modules/MegaMenu
 */

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Presscore_Modules_MegaMenuModule', false ) ) :

	class Presscore_Modules_MegaMenuModule {

		/**
		 * Execute module.
		 */
		public static function execute() {
			require dirname( __FILE__ ) . '/class-mega-menu-admin.php';
			require dirname( __FILE__ ) . '/class-mega-menu-front.php';

			$admin = new Presscore_Modules_MegaMenu_Admin();
			$admin->add_handlers();
			$front = new Presscore_Modules_MegaMenu_Front();
			$front->add_handlers();
		}
	}

	Presscore_Modules_MegaMenuModule::execute();

endif;
